<script src="gameFiles/world.js"></script>
<script src="gameFiles/tile.js"></script>
<script src="gameFiles/player.js"></script>

<!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" type="text/css" href="myStyles.css">
<title>Sea Pirate's Beware!</title>
</head>
<body>
<table border="1" width="100%">
<tr><td>
<canvas id="gameCanvas">
</canvas>
</td></tr>
<tr><td>
<input type="text" id="userInput">
<button type="button" class="gameButton" onclick="moveForward()">Forward</button>
<button type="button" class="gameButton" onclick="moveBackward()">Backward</button>
<button type="button" class="gameButton" onclick="moveLeft()">Left</button>
<button type="button" class="gameButton" onclick="moveRight()">Right</button>

</td></tr>
</table>

<script type="application/javascript">

// variables to initialize playing area
var tileWidth = 100;
var tileHeight = 100;
var gameWidth=1000;
var reportHeight = 150;
var gameHeight = 600;

let playerOneForward = false;
let playerOneBackward = false;
let playerOneLeft = false;
let playerOneRight = false;
let playerTwoForward = false;
let playerTwoBackward = false;
let playerTwoLeft = false;
let playerTwoRight = false;
let playerOnex = 100;
let playerOney = 100;
let playerOneWidth = 100;
let playerOneHeight = 100;
let playerOnedx = 100;
let playerOnedy = 100;

var playerOneImg = new Image();
playerOneImg.src = 'images/playerOne.gif';

var playerTwoImg = new Image();
playerTwoImg.src = 'images/playerTwo.jpg';

let playerOne = new player(playerOnex,playerOney,playerOneWidth,
playerOneHeight,playerOnedx,playerOnedy,playerOneImg);


document.addEventListener("keyup", keyUpHandler, false);
document.addEventListener("keydown", keyDownHandler, false);

var gameCanvas = document.getElementById('gameCanvas');
gameCanvas.width = gameWidth;
gameCanvas.height = reportHeight + gameHeight;
var ctx = gameCanvas.getContext('2d');



let mySea = [];
mySea = new world(10);
console.table(mySea);


function keyDownHandler(e) {
	
    if(e.keyCode == 39) {
        playerOneRight = true;
    }
    else if(e.keyCode == 37) {
        playerOneLeft = true;
    }
	else if(e.keyCode == 38) {
        playerOneForward = true;
    }
	else if(e.keyCode == 40) {
		playerOneBackward = true;
    }

	
	if(e.keyCode == 68) {
        playerTwoRight= true;
    }
    else if(e.keyCode == 65) {
        playerTwoLeft = true;
    }
	else if(e.keyCode == 87) {
        playerTwoForward = true;
    }
	else if(e.keyCode == 88) {
       playerTwoBackward = true;
    }
}

function keyUpHandler(e) {
	
    if(e.keyCode == 39) {
        playerOneRight = false;
    }
    else if(e.keyCode == 37) {
        playerOneLeft = false;
    }
	else if(e.keyCode == 38) {
        playerOneForward = false;
    }
	else if(e.keyCode == 40) {
		playerOneBackward = false;
    }
	
	if(e.keyCode == 68) {
        playerTwoRight= false;
    }
    else if(e.keyCode == 65) {
        playerTwoLeft = false;
    }
	else if(e.keyCode == 87) {
        playerTwoForward = false;
    }
	else if(e.keyCode == 88) {
       playerTwoBackward = false;
    }
}

function drawReport(message,x,y){
	
	ctx.font = "16px Arial";
	ctx.fillStyle = "#000FFF";
	ctx.fillText(message, x, y);
}
 
function gameLoop(){
	
	
	ctx.clearRect(0,0, gameCanvas.width, gameCanvas.height);
	mySea.draw(ctx);
	playerOne.move(playerOneForward,playerOneBackward,playerOneLeft,playerOneRight);
	playerOne.draw(ctx);
	drawReport();
	
	window.requestAnimationFrame(gameLoop);
	
}

gameLoop();


</script>


</body>
</html>